WMTHROTTLE(1)

NAME
wmthrottle - A dockapp to change throttle/performance state of cpu via ACPI

SYNOPSIS
wmthrottle [options]

DESCRIPTION
This manual page documents briefly the wmthrottle command.

wmthrottle is a program to throttle cpu via ACPI. It is a dockapp that is supported by X window managers such as Window Maker, AfterStep, BlackBox, and Enlightenment. The top half of the app shows the 8 levels of throttling that can be selected (0 = 100% CPU use). The bottom shows the current percentage of CPU allowed to be used as well as a green,yellow,red indicator and graph indicator to further indicate how much of the cpu is throttled.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-d, --display <string>
    Attempt to open a window on the named X display. In the absence of this option, the display specified by the DISPLAY environment variable is used.

-bl, --backlight
    turn on back-light

-lc, --light-color <color>
    back-light color (rgb:6E/C6/3B is default)

-i, --interval <number>
    number of secs between updates (1 is default)

-h, --help
    show help text and exit

-v, --version
    show program version and exit

-w, --windowed
    run the application in windowed mode

-bw, --broken-wm
    activate broken window manager fix (use this if you have problems running it in your window manager)

-p, --performance
    use acpi performance instead of throttling

-t, --temperature
    temperature threshold to start downclocking (to avoid fan noise)

-e  temperature difference that will cause a state transition (default: 1)

AUTHOR
wmthrottle was assembled by Anthony Peacock <bratag44@hotmail.com>
    It is largely based on WMMemMon and WMCPULoad by Seiichi SATO <ssato@sh.rim.or.jp>, WMMemLoad by Mark Staggs <me@markstaggs.net> and wmapm by Chris D. Faulhaber <jedgar@speck.ml.org> Michael G. Henderson <mghenderson@lanl.gov>, and wmapmload by Thomas Nemeth <tnemeth@free.fr>